### Function

# Vte get_encoding_supported

deprecated: 0.60 since: 0.60

#### Declaration [src]

    gboolean
    vte_get_encoding_supported (
      const char* encoding
    )

#### Description [src]

Queries whether the legacy encoding `encoding` is supported.

If ICU support is not available, this function always returns `FALSE`.

Note that UTF-8 is always supported; you can select it by passing `NULL` to vte_terminal_set_encoding().

Available since: 0.60

Deprecated since: 0.60

Please do not use it in newly written code.

#### Parameters

`encoding`

  Type: `const char*`

  The name of the legacy encoding.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` iff the legacy encoding `encoding` is supported.